/*************************************************************************
* Project: Library of Evolutionary Algoriths
*************************************************************************
* Author: Changhe Li & Ming Yang
* Email: changhe.lw@google.com Or yangming0702@gmail.com
* Language: C++
*************************************************************************
*  This file is part of EAlib. This library is free software;
*  you can redistribute it and/or modify it under the terms of the
*  GNU General Public License as published by the Free Software
*  Foundation; either version 2, or (at your option) any later version.
*************************************************************************/
// Created: 21 September 2011
// Last modified:
#ifndef SPSOGBEST_H
#define SPSOGBEST_H

#include "../Particle.h"
#include "../Swarm.h"

class SPSOGBest: public Swarm<Particle>
{
    public:
        SPSOGBest();
        SPSOGBest(int rPopsize,bool mode=true);
        SPSOGBest(SPSOGBest & s);
        virtual ~SPSOGBest();
        SPSOGBest & operator=(SPSOGBest &);
        int run();
        int evolve();
};

#endif // SPSOGBEST_H
